#include <bits/stdc++.h>

using namespace std;

int main(void)
{
    long long int u, b, g;
    cin >> u >> b >> g;

    if(g==1)
    {
        long int sum=0;
        for(int i=1; i<=u; ++i)
            sum+=i;
        if(sum>b)
        {
            cout << "Nie";
        }
        else{
            cout << "Tak";
        }
    }


    else{
        int a = u/g;
        for(int i=a-1; i>0; --i)
            a+=i;
        int x = a;
        a *= (g-1);
        if(a > b){
            cout << "Nie";
            return 0;
        }

        b -= a;

        if(u%2==1){
            if(b>=(x+u/b+1)){
                cout << "Tak";
            }
            else{
                cout << "Nie";
            }
        }
        else
        {
            if(b>=x)
                cout << "Tak";
            else
                cout << "Nie";
        }
    }

}